%define anolis_release 2
%define debug_package %{nil}

%global srcname PyJWT
%global pypi_name jwt
%global pypi_version 2.6.0

Name:           python-PyJWT
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        JSON Web Token implementation in Python
License:        MIT
URL:            https://github.com/jpadilla/pyjwt
Source0:        https://files.pythonhosted.org/packages/75/65/db64904a7f23e12dbf0565b53de01db04d848a497c6c9b87e102f74c9304/PyJWT-2.6.0.tar.gz


BuildArch:      noarch

%description
JSON Web Token implementation in Python

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-cryptography >= 1.4.0
BuildRequires:  python%{python3_pkgversion}-pytest

%{?python_extras_subpkg:Recommends: python%{python3_pkgversion}-%{pypi_name}+crypto}
%{!?python_extras_subpkg:Requires:  python%{python3_pkgversion}-cryptography >= 1.4.0}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python3-%{pypi_name}
%{description}

%{?python_extras_subpkg:%python_extras_subpkg -n python%{python3_pkgversion}-%{pypi_name} -i /builddir/build/bdist.linux-%{_arch}/wheel/%{srcname}-%{version}-py%{python3_version}.egg-info crypto}

%package -n python3-%{pypi_name}-doc
Summary:        %{summary}
BuildArch:      noarch
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
%{description}

%prep
%autosetup -n %{srcname}-%{pypi_version} -p1
rm -rf %{srcname}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{pypi_name}
%license LICENSE AUTHORS.rst

%{python3_sitelib}/jwt
%{python3_sitelib}/%{srcname}-%{pypi_version}.dist-info/

%files -n python3-%{pypi_name}-doc
%doc README.rst CHANGELOG.rst docs/changelog.rst

%changelog
* Wed Mar 27 2024 Bo Ren <rb01097748@alibaba-inc.com> - 2.6.0-2
- Rebuild with python3.11

* Fri Dec 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.6.0-1
- update to version 2.6.0
 
* Tue Apr 19 2022 Zhongling He <zhonglingh@linux.alibaba.com> 2.3.0-1
- Init package from upstream v2.3.0
